## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%define gitdate 20250213
%global enable_epel 0

Summary:   Cached AppStream metadata
Name:      appstream-data
Epoch:     1
Version:   10
Release:   %{gitdate}.1%{?dist}
BuildArch: noarch
License:   CC0-1.0 AND CC-BY-1.0 AND CC-BY-SA-1.0 AND GFDL-1.1-or-later
URL:       http://people.redhat.com/rhughes/metadata/
Source1:   http://people.redhat.com/rhughes/metadata/rhel-%{version}-%{gitdate}.xml.gz
Source2:   http://people.redhat.com/rhughes/metadata/rhel-%{version}-%{gitdate}-icons.tar.gz
Source3:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/adobe-flash.xml
Source4:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/gstreamer-non-free.xml
Source5:   https://raw.githubusercontent.com/hughsie/fedora-appstream/master/appstream-extra/other-repos.xml

# extra applications not in RHEL
%if 0%{?enable_epel}
Source9:   http://people.redhat.com/rhughes/metadata/epel-%{version}-%{gitdate}.xml.gz
Source10:  http://people.redhat.com/rhughes/metadata/epel-%{version}-%{gitdate}-icons.tar.gz
%endif

# This is built using:
# sudo dnf makecache --enablerepo rhel-10-baseos --enablerepo rhel-10-appstream --enablerepo rhel-10-crb
# export ARCHIVE_PATH=/media
# dnf reposync --setopt=*.module_hotfixes=1 --repo rhel-10-baseos -p ${ARCHIVE_PATH}/rhel/ &> rhel-10-baseos.log
# dnf reposync --setopt=*.module_hotfixes=1 --repo rhel-10-appstream -p ${ARCHIVE_PATH}/rhel/ &> rhel-10-appstream.log
# dnf reposync --setopt=*.module_hotfixes=1 --repo rhel-10-crb -p ${ARCHIVE_PATH}/rhel/ &> rhel-10-crb.log
# dnf reposync --setopt=*.module_hotfixes=1 --repo rhel-10-ha -p ${ARCHIVE_PATH}/rhel/ &> rhel-10-ha.log
# https://github.com/hughsie/appstream-scripts/blob/master/rhel/rhel-10-candidate.sh
# then the sources need to be uploaded to people.redhat.com/rhughes/metadata/

BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers.

%install

DESTDIR=%{buildroot} appstream-util install-origin rhel-%{version} %{SOURCE1} %{SOURCE2}
%if 0%{?enable_epel}
DESTDIR=%{buildroot} appstream-util install-origin epel-%{version} %{SOURCE9} %{SOURCE10}
%endif
DESTDIR=%{buildroot} appstream-util install %{SOURCE3} %{SOURCE4} %{SOURCE5}

# Move to the "correct" path for appstream 0.16 / 1.0
mv %{buildroot}%{_datadir}/app-info %{buildroot}%{_datadir}/swcatalog
mv %{buildroot}%{_datadir}/swcatalog/xmls %{buildroot}%{_datadir}/swcatalog/xml

%files
%attr(0644,root,root) %{_datadir}/swcatalog/xml/*
%{_datadir}/swcatalog/icons/rhel-%{version}/*/*.png
%if 0%{?enable_epel}
%{_datadir}/swcatalog/icons/epel-%{version}/*/*.png
%endif
%dir %{_datadir}/swcatalog
%dir %{_datadir}/swcatalog/icons
%dir %{_datadir}/swcatalog/icons/rhel-%{version}/64x64
%dir %{_datadir}/swcatalog/icons/rhel-%{version}/128x128
%if 0%{?enable_epel}
%dir %{_datadir}/swcatalog/icons/epel-%{version}/64x64
%dir %{_datadir}/swcatalog/icons/epel-%{version}/128x128
%endif
%dir %{_datadir}/swcatalog/xml

%changelog
## START: Generated by rpmautospec
* Thu Feb 13 2025 Richard Hughes <richard@hughsie.com> - 1:10-8
- New metadata version

* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1:10-7
- Bump release for October 2024 mass rebuild:

* Tue Aug 27 2024 Richard Hughes <richard@hughsie.com> - 1:10-6
- New metadata version

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 1:10-5
- Bump release for June 2024 mass rebuild

* Mon Jun 03 2024 Tomas Pelka <tpelka@redhat.com> - 1:10-4
- Add gating.yaml via API

* Thu Mar 28 2024 Richard Hughes <richard@hughsie.com> - 1:10-3
- Fix SPDX license tags and use the new appstream file paths

* Tue Mar 26 2024 Richard Hughes <richard@hughsie.com> - 1:10-2
- New metadata version

* Tue Mar 26 2024 Richard Hughes <richard@hughsie.com> - 1:10-1
- Switch from the Fedora 40 to the RHEL 9 metadata template

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 40-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 40-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Richard Hughes <richard@hughsie.com> - 40-3
- New metadata version

* Tue Nov 07 2023 Neal Gompa <ngompa@fedoraproject.org> - 40-2
- Move all data from /usr/share/app-info to /usr/share/swcatalog

* Fri Sep 29 2023 Richard Hughes <richard@hughsie.com> - 40-1
- New release

* Tue Sep 05 2023 Richard Hughes <richard@hughsie.com> - 39-5
- New metadata version

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 09 2023 Richard Hughes <richard@hughsie.com> - 39-3
- New upstream release

* Wed Feb 22 2023 Richard Hughes <richard@hughsie.com> - 39-2
- migrated to SPDX license

* Thu Feb 16 2023 Richard Hughes <richard@hughsie.com> - 39-1
- New metadata version

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 29 2022 Richard Hughes <richard@hughsie.com> - 38-1
- New metadata version

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Richard Hughes <richard@hughsie.com> - 37-2
- New metadata version

* Wed Jun 08 2022 Richard Hughes <richard@hughsie.com> - 37-1
- New metadata version

* Wed Mar 02 2022 Richard Hughes <richard@hughsie.com> - 36-1
- New metadata version

* Wed Feb 02 2022 Michael Catanzaro <mcatanzaro@redhat.com> - 35-6
- Remove obsolete webapps.xml (#2037124)

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 35-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 35-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 02 2021 Richard Hughes <richard@hughsie.com> - 35-2
- New metadata version

* Wed Mar 31 2021 Richard Hughes <richard@hughsie.com> - 35-1
- New metadata version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 15 2020 Richard Hughes <richard@hughsie.com> - 33-1
- New metadata version

* Thu Oct 08 2020 Kalev Lember <klember@redhat.com> - 32-12
- categories.xml: Show ardour6 instead of ardour5

* Thu Oct 08 2020 Kalev Lember <klember@redhat.com> - 32-11
- Update categories and popular xmls with renamed app ids

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 32-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 2020 Marie Loise Nolden <loise@kde.org> - 32-9
- fix date in %%changelog otherwise build fails

* Tue May 05 2020 Kalev Lember <klember@redhat.com> - 32-8
- Don't recommend Banshee

* Mon Apr 13 2020 Richard Hughes <richard@hughsie.com> - 32-7
- New metadata version

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 32-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Kalev Lember <klember@redhat.com> - 32-5
- New metadata version

* Mon Oct 14 2019 Kalev Lember <klember@redhat.com> - 32-4
- New metadata version

* Mon Oct 14 2019 Kalev Lember <klember@redhat.com> - 32-3
- Update categories xml with renamed app ids

* Thu Sep 19 2019 Kalev Lember <klember@redhat.com> - 32-2
- Update webapps.xml

* Thu Sep 19 2019 Kalev Lember <klember@redhat.com> - 32-1
- New metadata version

* Wed Sep 18 2019 Kalev Lember <klember@redhat.com> - 31-4
- Update categories and popular xmls with renamed app ids

* Wed Sep 18 2019 Kalev Lember <klember@redhat.com> - 31-3
- New metadata version

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 12 2019 Richard Hughes <richard@hughsie.com> - 31-1
- New metadata version

* Thu Apr 18 2019 Kalev Lember <klember@redhat.com> - 30-8
- New metadata version

* Fri Apr 12 2019 Kalev Lember <klember@redhat.com> - 30-7
- Update changed app IDs in categories and popular xml files

* Thu Apr 11 2019 Kalev Lember <klember@redhat.com> - 30-6
- New metadata version

* Mon Apr 01 2019 Kalev Lember <klember@redhat.com> - 30-5
- Remove steam-oars.xml now that gnome-software no longer ships the steam
  plugin

* Mon Apr 01 2019 Kalev Lember <klember@redhat.com> - 30-4
- Update fedora-categories.xml and fedora-popular.xml with changed app IDs

* Mon Apr 01 2019 Kalev Lember <klember@redhat.com> - 30-3
- New metadata version

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 21 2019 Kalev Lember <klember@redhat.com> - 30-1
- New metadata version

* Thu Dec 13 2018 Kalev Lember <klember@redhat.com> - 29-13
- Update app IDs for Fedora's featured and categories sections

* Thu Dec 13 2018 Kalev Lember <klember@redhat.com> - 29-12
- New metadata version

* Thu Dec 13 2018 Kalev Lember <klember@redhat.com> - 29-11
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
